<?xml version="1.0" encoding="UTF-8"?>
<!--
  The contents of this file are subject to the terms of the Common Development and
  Distribution License (the License). You may not use this file except in compliance with the
  License.

  You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
  specific language governing permission and limitations under the License.

  When distributing Covered Software, include this CDDL Header Notice in each file and include
  the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
  Header, with the fields enclosed by brackets [] replaced by your own identifying
  information: "Portions Copyright [year] [name of copyright owner]".

  Copyright 2013-2016 ForgeRock AS.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.openidentityplatform.opendj</groupId>
    <artifactId>opendj-parent</artifactId>
    <version>4.5.3-SNAPSHOT</version>
  </parent>

  <artifactId>opendj-rest2ldap-servlet</artifactId>
  <name>OpenDJ Commons REST LDAP Gateway</name>
  <description>
    Provides integration between the OpenDJ Commons REST Adapter and Servlet APIs.
  </description>
  <packaging>war</packaging>

  <properties>
    <!-- If the binary-licensing profile is activated, we need the ForgeRock license there -->
    <license.output.dir>${project.build.directory}/${project.build.finalName}/WEB-INF/legal-notices</license.output.dir>
  </properties>

  <dependencies>
    <dependency>
      <groupId>org.openidentityplatform.commons.http-framework</groupId>
      <artifactId>servlet</artifactId>
    </dependency>

    <dependency>
      <groupId>org.openidentityplatform.opendj</groupId>
      <artifactId>opendj-rest2ldap</artifactId>
    </dependency>

    <dependency>
      <groupId>org.openidentityplatform.opendj</groupId>
      <artifactId>opendj-grizzly</artifactId>
    </dependency>
  </dependencies>

  <build><finalName>${project.groupId}.${project.artifactId}</finalName>
    <plugins>
      <plugin>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-maven-plugin</artifactId>
        <version>9.2.11.v20150529</version>
        <configuration>
          <scanIntervalSeconds>10</scanIntervalSeconds>
          <webAppConfig>
            <contextPath>/</contextPath>
          </webAppConfig>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-war-plugin</artifactId>
        <configuration>
          <webResources>
            <!-- Include CDDLv1_0.txt -->
            <resource>
              <targetPath>WEB-INF/legal-notices</targetPath>
              <directory>../</directory>
              <includes>
                <include>LICENSE.md</include>
              </includes>
            </resource>

            <!-- Include THIRDPARTYREADME.txt -->
            <resource>
              <targetPath>WEB-INF/legal-notices</targetPath>
              <directory>legal-notices</directory>
              <includes>
                <include>THIRDPARTYREADME.txt</include>
              </includes>
            </resource>

            <resource>
              <targetPath>/</targetPath>
              <directory>src/main/webapp/</directory>
              <excludes>
                <exclude>web.xml</exclude>
              </excludes>
            </resource>
          </webResources>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
